import * as $dara from '@darabonba/typescript';
export declare class DescribeSuspiciousSecurityEventyStatisticsResponseBodyStatisticAntiRansomwareStatisticSecurityEventMachine extends $dara.Model {
    /**
     * @remarks
     * Instance name.
     *
     * @example
     * TYMH-TYRZ-06
     */
    instanceName?: string;
    /**
     * @remarks
     * Region ID.
     *
     * @example
     * cn-shanghai
     */
    regionId?: string;
    /**
     * @remarks
     * UUID of the asset instance.
     *
     * @example
     * 3c7ebe83-80ea-44c7-88c3-103bbd87xxxx
     */
    uuid?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeSuspiciousSecurityEventyStatisticsResponseBodyStatisticAntiRansomwareStatistic extends $dara.Model {
    /**
     * @remarks
     * Number of security events.
     *
     * @example
     * 10
     */
    securityEventCount?: number;
    /**
     * @remarks
     * Asset information associated with the security event.
     */
    securityEventMachine?: DescribeSuspiciousSecurityEventyStatisticsResponseBodyStatisticAntiRansomwareStatisticSecurityEventMachine[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeSuspiciousSecurityEventyStatisticsResponseBodyStatistic extends $dara.Model {
    /**
     * @remarks
     * Statistical information.
     */
    antiRansomwareStatistic?: DescribeSuspiciousSecurityEventyStatisticsResponseBodyStatisticAntiRansomwareStatistic;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeSuspiciousSecurityEventyStatisticsResponseBody extends $dara.Model {
    /**
     * @remarks
     * The ID of the current request, which is a unique identifier generated by Alibaba Cloud for this request and can be used to troubleshoot and locate issues.
     *
     * @example
     * F8B6F758-BCD4-597A-8A2C-DA5A552C****
     */
    requestId?: string;
    /**
     * @remarks
     * Statistical information.
     */
    statistic?: DescribeSuspiciousSecurityEventyStatisticsResponseBodyStatistic;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
